
/* mbed SDA5708 LED matrix display Library
 * Copyright (c) 2014, v01: Initial release (internet source)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
#ifndef _SDA5708_FONT_5x7_H
#define _SDA5708_FONT_5x7_H

const char font_5x7[][7] = {{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}, //Space     $20
                            {0x04, 0x04, 0x04, 0x04, 0x04, 0x00, 0x04}, //  !       $21
                            {0x0A, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00}, //  "       $22
                            {0x0A, 0x0A, 0x3F, 0x0A, 0x3F, 0x0A, 0x0A}, //  #       $23
                            {0x04, 0x0F, 0x14, 0x0E, 0x05, 0x1E, 0x04}, //  $       $24
                            {0x18, 0x19, 0x02, 0x04, 0x08, 0x13, 0x03}, //  %       $25
                            {0x00, 0x08, 0x14, 0x08, 0x16, 0x12, 0x0D}, //  &       $26
                            {0x04, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00}, //  '       $27
                            {0x02, 0x04, 0x08, 0x08, 0x08, 0x04, 0x02}, //  (       $28
                            {0x08, 0x04, 0x02, 0x02, 0x02, 0x04, 0x08}, //  )       $29
                            {0x04, 0x15, 0x0E, 0x04, 0x0E, 0x15, 0x04}, //  *       $2A
                            {0x00, 0x04, 0x04, 0x1F, 0x04, 0x04, 0x00}, //  +       $2B
                            {0x00, 0x00, 0x00, 0x00, 0x0C, 0x04, 0x08}, //  ,       $2C
                            {0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x00}, //  -       $2D                            
                            {0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x0C}, //  .       $2E                                                        
                            {0x00, 0x01, 0x02, 0x04, 0x08, 0x10, 0x00}, //  /       $2F
                            {0x04, 0x0A, 0x11, 0x11, 0x11, 0x0A, 0x04}, //  0       $30
                            {0x04, 0x0C, 0x04, 0x04, 0x04, 0x04, 0x0E}, //  1       $31
                            {0x0E, 0x11, 0x02, 0x04, 0x08, 0x10, 0x1F}, //  2       $32
                            {0x1F, 0x01, 0x02, 0x06, 0x01, 0x11, 0x0E}, //  3       $33
                            {0x02, 0x06, 0x0A, 0x12, 0x1F, 0x02, 0x02}, //  4       $34
                            {0x1F, 0x10, 0x10, 0x1E, 0x01, 0x11, 0x0E}, //  5       $35
                            {0x0E, 0x10, 0x10, 0x1E, 0x11, 0x11, 0x0E}, //  6       $36
                            {0x1F, 0x01, 0x02, 0x04, 0x04, 0x04, 0x04}, //  7       $37
                            {0x0E, 0x11, 0x11, 0x0E, 0x11, 0x11, 0x0E}, //  8       $38
                            {0x0E, 0x11, 0x11, 0x0F, 0x01, 0x01, 0x1E}, //  9       $39
                            {0x00, 0x0C, 0x0C, 0x00, 0x0C, 0x0C, 0x00}, //  :       $3A
                            {0x00, 0x0C, 0x0C, 0x00, 0x0C, 0x04, 0x08}, //  ;       $3B                            
                            {0x02, 0x04, 0x08, 0x10, 0x08, 0x04, 0x02}, //  <       $3C
                            {0x00, 0x00, 0x1F, 0x00, 0x1F, 0x00, 0x00}, //  =       $3D                            
                            {0x08, 0x04, 0x02, 0x01, 0x02, 0x04, 0x08}, //  >       $3E
                            {0x0E, 0x11, 0x02, 0x04, 0x04, 0x00, 0x04}, //  ?       $3F                            
                            {0x0E, 0x11, 0x15, 0x17, 0x10, 0x11, 0x0E}, //  @       $40
                            {0x04, 0x0A, 0x11, 0x1F, 0x11, 0x11, 0x11}, //  A       $41
                            {0x1E, 0x09, 0x09, 0x0E, 0x09, 0x09, 0x1E}, //  B       $42
                            {0x0E, 0x11, 0x10, 0x10, 0x10, 0x11, 0x0E}, //  C       $43
                            {0x1E, 0x09, 0x09, 0x09, 0x09, 0x09, 0x1E}, //  D       $44
                            {0x1F, 0x10, 0x10, 0x1C, 0x10, 0x10, 0x1F}, //  E       $45
                            {0x1F, 0x10, 0x10, 0x1C, 0x10, 0x10, 0x10}, //  F       $46
                            {0x0F, 0x10, 0x10, 0x10, 0x17, 0x11, 0x0E}, //  G       $47
                            {0x11, 0x11, 0x11, 0x1F, 0x11, 0x11, 0x11}, //  H       $48
                            {0x0E, 0x04, 0x04, 0x04, 0x04, 0x04, 0x0E}, //  I       $49
                            {0x0E, 0x04, 0x04, 0x04, 0x04, 0x14, 0x08}, //  J       $4A
                            {0x11, 0x12, 0x14, 0x18, 0x14, 0x12, 0x11}, //  K       $4B
                            {0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x1F}, //  L       $4C
                            {0x11, 0x1B, 0x15, 0x15, 0x11, 0x11, 0x11}, //  M       $4D
                            {0x11, 0x11, 0x19, 0x15, 0x13, 0x11, 0x11}, //  N       $4E
                            {0x0E, 0x11, 0x11, 0x11, 0x11, 0x11, 0x0E}, //  O       $4F
                            {0x1E, 0x11, 0x11, 0x1E, 0x10, 0x10, 0x10}, //  P       $50
                            {0x0E, 0x11, 0x11, 0x11, 0x15, 0x12, 0x0D}, //  Q       $51
                            {0x1E, 0x11, 0x11, 0x1E, 0x14, 0x12, 0x11}, //  R       $52
                            {0x0E, 0x11, 0x10, 0x0E, 0x01, 0x11, 0x0E}, //  S       $53
                            {0x1F, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04}, //  T       $54
                            {0x11, 0x11, 0x11, 0x11, 0x11, 0x11, 0x0E}, //  U       $55
                            {0x11, 0x11, 0x11, 0x11, 0x0A, 0x0A, 0x04}, //  V       $56
                            {0x11, 0x11, 0x11, 0x11, 0x15, 0x15, 0x0A}, //  W       $57
                            {0x11, 0x11, 0x0A, 0x04, 0x0A, 0x11, 0x11}, //  X       $58
                            {0x11, 0x11, 0x0A, 0x0A, 0x04, 0x04, 0x04}, //  Y       $59
                            {0x1F, 0x01, 0x02, 0x04, 0x08, 0x10, 0x1F}, //  Z       $5A
                            {0x0F, 0x08, 0x08, 0x08, 0x08, 0x08, 0x0F}, //  [       $5B
                            {0x00, 0x10, 0x08, 0x04, 0x02, 0x01, 0x00}, //  \       $5C
                            {0x1E, 0x02, 0x02, 0x02, 0x02, 0x02, 0x1E}, //  ]       $5D
                            {0x04, 0x0A, 0x11, 0x00, 0x00, 0x00, 0x00}, //  ^       $5E
                            {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F}, //  _       $5F
                            {0x04, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00}, //  '       $60
                            {0x00, 0x0E, 0x01, 0x0D, 0x13, 0x11, 0x0F}, //  a       $61
                            {0x10, 0x10, 0x10, 0x16, 0x19, 0x11, 0x1E}, //  b       $62
                            {0x00, 0x00, 0x0F, 0x10, 0x10, 0x10, 0x0F}, //  c       $63
                            {0x01, 0x01, 0x01, 0x0D, 0x13, 0x11, 0x0F}, //  d       $64
                            {0x00, 0x00, 0x0E, 0x11, 0x1E, 0x10, 0x0E}, //  e       $65
                            {0x06, 0x09, 0x08, 0x1C, 0x08, 0x08, 0x08}, //  f       $66
                            {0x00, 0x0F, 0x11, 0x13, 0x0D, 0x01, 0x0E}, //  g       $67
                            {0x10, 0x10, 0x10, 0x16, 0x19, 0x11, 0x11}, //  h       $68
                            {0x00, 0x04, 0x00, 0x04, 0x04, 0x04, 0x04}, //  i       $69
                            {0x00, 0x02, 0x00, 0x02, 0x02, 0x12, 0x0C}, //  j       $6A
                            {0x10, 0x10, 0x11, 0x12, 0x1C, 0x12, 0x11}, //  k       $6B
                            {0x0C, 0x04, 0x04, 0x04, 0x04, 0x04, 0x0E}, //  l       $6C
                            {0x00, 0x00, 0x1A, 0x15, 0x15, 0x15, 0x15}, //  m       $6D
                            {0x00, 0x00, 0x16, 0x19, 0x11, 0x11, 0x11}, //  n       $6E                            
                            {0x00, 0x00, 0x0E, 0x11, 0x11, 0x11, 0x0E}, //  o       $6F
                            {0x00, 0x1E, 0x11, 0x19, 0x16, 0x10, 0x10}, //  p       $70
                            {0x00, 0x0F, 0x11, 0x13, 0x0D, 0x01, 0x01}, //  q       $71
                            {0x00, 0x00, 0x16, 0x19, 0x10, 0x10, 0x10}, //  r       $72
                            {0x00, 0x00, 0x0F, 0x10, 0x0E, 0x01, 0x1E}, //  s       $73
                            {0x04, 0x04, 0x0E, 0x04, 0x04, 0x05, 0x02}, //  t       $74
                            {0x00, 0x00, 0x11, 0x11, 0x11, 0x13, 0x0D}, //  u       $75
                            {0x00, 0x00, 0x11, 0x11, 0x11, 0x0A, 0x04}, //  v       $76
                            {0x00, 0x00, 0x11, 0x11, 0x15, 0x15, 0x0A}, //  w       $77
                            {0x00, 0x00, 0x11, 0x0A, 0x04, 0x0A, 0x11}, //  x       $78
                            {0x00, 0x00, 0x11, 0x11, 0x0F, 0x02, 0x0C}, //  y       $79
                            {0x00, 0x00, 0x1F, 0x02, 0x04, 0x08, 0x1F}, //  z       $7A
                            {0x03, 0x04, 0x04, 0x08, 0x04, 0x04, 0x03}, //  {       $7B
                            {0x04, 0x04, 0x04, 0x00, 0x04, 0x04, 0x04}, //  |       $7C
                            {0x18, 0x04, 0x04, 0x02, 0x04, 0x04, 0x18}, //  }       $7D                            
                            {0x08, 0x15, 0x02, 0x00, 0x00, 0x00, 0x00}, //  ~       $7E
                            {0x1F, 0x1F, 0x1F, 0x1F, 0x1F, 0x1F, 0x1F}  //  square  $7F                            
                           }; 

#endif
